base: 'https://www.betterschool.de/'
baseVariants:
  -
    base: 'https://bettertypo-12.ddev.site/'
    condition: 'applicationContext == "Development/Local"'
  -
    base: 'http://betterschool.co.uk/'
    condition: 'applicationContext == "Development/Relaunch"'
  -
    base: 'https://zeit.betterschool.de/'
    condition: 'applicationContext == "Development/Prelive"'
errorHandling:
  -
    errorCode: 403
    errorHandler: Page
    errorContentSource: 't3://page?uid=%env(PAGE_403)%'
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=%env(PAGE_404)%'
languages:
  -
    title: Deutsch
    enabled: true
    languageId: 0
    base: /
    locale: de_DE.UTF-8
    navigationTitle: Deutsch
    flag: de
rootPageId: 1
routeEnhancers:
  BoardingSchools:
    type: Extbase
    extension: BetterschoolData
    plugin: Boardingschooldetail
    routes:
      -
        routePath: '/{boardingschool_name}'
        _controller: 'BoardingSchool::show'
        _arguments:
          boardingschool_name: said
    defaultController: 'BoardingSchool::show'
    aspects:
      boardingschool_name:
        type: ExtendedPersistedAliasMapper
        tableName: tx_betterschooldata_domain_model_boardingschool
        routeFieldName: title
        idField: sid
  BoardingSchoolsHidden:
    type: Extbase
    extension: BetterschoolData
    plugin: Boardingschooldetail
    limitToPages: [27, 29, 35]
    routes:
      -
        routePath: '/{boardingschool_name}'
        _controller: 'BoardingSchool::show'
        _arguments:
          boardingschool_name: said
    defaultController: 'BoardingSchool::show'
    aspects:
      boardingschool_name:
        type: ExtendedPersistedAliasMapper
        tableName: tx_betterschooldata_domain_model_boardingschool
        routeFieldName: hiddenlink
        idField: sid
  LanguageCourses:
    type: Extbase
    extension: BetterschoolData
    plugin: Languagecoursedetail
    routes:
      -
        routePath: '/{languagecourse_title}'
        _controller: 'LanguageCourse::show'
        _arguments:
          languagecourse_title: id
    defaultController: 'LanguageCourse::show'
    aspects:
      languagecourse_title:
        type: ExtendedPersistedAliasMapper
        tableName: tx_betterschooldata_domain_model_languagecourse
        routeFieldName: title
        idField: sid
  LanguageCoursesHidden:
    type: Extbase
    extension: BetterschoolData
    plugin: Languagecoursedetail
    limitToPages: [31]
    routes:
      -
        routePath: '/{languagecourse_title}'
        _controller: 'LanguageCourse::show'
        _arguments:
          languagecourse_title: id
    defaultController: 'LanguageCourse::show'
    aspects:
      languagecourse_title:
        type: ExtendedPersistedAliasMapper
        tableName: tx_betterschooldata_domain_model_languagecourse
        routeFieldName: hiddenlink
        idField: sid
  News:
    type: Extbase
    extension: News
    plugin: Pi1
    limitToPages: [8, 32]
    routes:
      -
        routePath: /
        _controller: 'News::list'
      -
        routePath: '/seite-{page}'
        _controller: 'News::list'
        _arguments:
          page: currentPage
      -
        routePath: '/{news-title}'
        _controller: 'News::detail'
        _arguments:
          news-title: news
      -
        routePath: '/{category-name}'
        _controller: 'News::list'
        _arguments:
          category-name: overwriteDemand/categories
      -
        routePath: '/{tag-name}'
        _controller: 'News::list'
        _arguments:
          tag-name: overwriteDemand/tags
    defaultController: 'News::list'
    defaults:
      page: '0'
    aspects:
      news-title:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
      page:
        type: StaticRangeMapper
        start: '1'
        end: '100'
      category-name:
        type: NewsCategory
      tag-name:
        type: NewsTag
  PageTypeSuffix:
    type: PageType
    default: /
    index: ''
    map:
      /: 0
      sitemap.xml: 1533906435
websiteTitle: 'BetterSchool! Internatsberatung'
